﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO.Ports;

namespace SerialPortSample2_CS
{
	class Program
	{
		static void Main(string[] args)
		{
			SerialPort port = new SerialPort("COM1", 9600, Parity.None, 8, StopBits.One);
			port.DataReceived += new SerialDataReceivedEventHandler(SerialPort_DataReceived);
			port.Open();
			port.DtrEnable = true;
			port.RtsEnable = true;

			Console.ReadLine();

			port.Close();
			port.Dispose();
		}

		private static void SerialPort_DataReceived(object sender, SerialDataReceivedEventArgs e)
		{
			SerialPort port = (SerialPort)sender;
			byte[] buf = new byte[1024];
			int len = port.Read(buf, 0, 1024);
			string s = Encoding.GetEncoding("Shift_JIS").GetString(buf, 0, len);
			Console.WriteLine(s);
		}
	}
}
