﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO.Ports;

namespace SerialPortSample1_CS_Server
{
	class Program
	{
		static void Main(string[] args)
		{
			SerialPort port = new SerialPort("COM1", 9600, Parity.None, 8, StopBits.One);
			port.Open();
			port.DtrEnable = true;
			port.RtsEnable = true;

			string req = port.ReadLine();
			Console.WriteLine("クライアントから受信したメッセージ: \"" + req + "\"");

			string res;
			if (req.ToUpper() == "HELLO")
			{
				res = DateTime.Now.ToString("yyyy/MM/dd HH:mm:ss.fff");
			}
			else
			{
				res = "ERROR";
			}
			port.WriteLine(res);
			Console.WriteLine("クライアントに送信したメッセージ: \"" + res + "\"");

			port.Close();
			port.Dispose();

			Console.WriteLine("何かキーを押すと終了します。");
			Console.ReadLine();
		}
	}
}
